/*--------------------------------------------------------------------------*/
/* Structures used with OPARSE                                              */
/*--------------------------------------------------------------------------*/

#define EOS '\0'
#ifndef WORDS
typedef unsigned int  word;
typedef unsigned char byte;
#define WORDS 1
#endif


struct _addr{
   int     zone;
   int     net;
   int     node;
   int     point;
};

struct _pwd {
   struct  _addr   address;
   char    pwd[9];
   struct  _pwd    *next_pwd;
};

struct _phone {
   struct  _addr   address;
   char    *phone;
   struct  _phone  *next_phone;
};

struct _cm {
   struct  _addr address;
   struct  _cm *next_cm;
};

struct _dial {
   char    *oldphone;
   char    *newphone;
   struct  _dial  *next_dial;
};


struct _cost {
   char    *phone;
   int     cost;
   int     fee;
   struct  _cost  *next_cost;
};

struct _mylist {
   char    *mylist;
   struct _mylist *next_mylist;
};

struct _list {
   char    *which_list;
   struct _list *next_list;
};

EXT    char   nodelist[80];
EXT    char   outdir[80];
EXT    char   mdm_string[4][10];		/* The modem flags */
EXT    struct _addr   myaddr;
EXT    int    maxbaud;
EXT    int    flags;		/* See defines below */

EXT    struct _pwd    *head_pwd;
EXT    struct _pwd    *last_pwd;
EXT    struct _pwd    *pwd;

EXT    struct _phone    *head_phone;
EXT    struct _phone    *last_phone;
EXT    struct _phone    *phone;

EXT    struct _cm    *head_cm;
EXT    struct _cm    *last_cm;
EXT    struct _cm    *cm;

EXT    struct _dial    *head_dial;
EXT    struct _dial    *last_dial;
EXT    struct _dial    *dial;

EXT    struct _cost    *head_cost;
EXT    struct _cost    *last_cost;
EXT    struct _cost    *cost;

EXT    struct _mylist    *head_mylist;
EXT    struct _mylist    *last_mylist;
EXT    struct _mylist    *mylist;

EXT    struct _list    *head_list;
EXT    struct _list    *last_list;
EXT    struct _list    *list;

EXT    int     default_local;
EXT    int     default_intl;
EXT    char    intl_prefix[20];

#define    COMMENTS    0x0001
#define    COMPLETE    0x0002
#define    USERLIST    0x0004
#define    INTERLIST   0x0008

#define    EDITNL      0x0010
#define    GATED       0x0020
#define    HOST        0x0040		/* Only include net hosts                */

#define    VERSION6    0x4000
#define    VERSION7    0x8000

int read_cfg(char *what);
void get_address(char *what,struct _addr *where);
char * skip(char *what);

